package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 预测结果对象 phm_forecast_result
 *
 * @author phm
 * @date 2023-08-31
 */
public class ForecastResult extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 部件名称
     */
    @Excel(name = "部件名称")
    private String unitName;

    /**
     * 研究对象
     */
    @Excel(name = "研究对象")
    private String studyObject;

    /**
     * SNS 编码
     */
    @Excel(name = "SNS 编码")
    private String snsCode;

    /**
     * 预测故障
     */
    @Excel(name = "预测故障")
    private String forecastFault;

    /**
     * 分析时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "分析时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date analysisTime;

    /**
     * 批注注解
     */
    @Excel(name = "批注注解")
    private String comment;

    /**
     * 数据是否删除（1：删除，0有效）
     */
    @Excel(name = "数据是否删除", readConverterExp = "1=：删除，0有效")
    private Long isDelete;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setStudyObject(String studyObject) {
        this.studyObject = studyObject;
    }

    public String getStudyObject() {
        return studyObject;
    }

    public void setSnsCode(String snsCode) {
        this.snsCode = snsCode;
    }

    public String getSnsCode() {
        return snsCode;
    }

    public void setForecastFault(String forecastFault) {
        this.forecastFault = forecastFault;
    }

    public String getForecastFault() {
        return forecastFault;
    }

    public void setAnalysisTime(Date analysisTime) {
        this.analysisTime = analysisTime;
    }

    public Date getAnalysisTime() {
        return analysisTime;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getComment() {
        return comment;
    }

    public void setIsDelete(Long isDelete) {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("unitName", getUnitName())
                .append("studyObject", getStudyObject())
                .append("snsCode", getSnsCode())
                .append("forecastFault", getForecastFault())
                .append("analysisTime", getAnalysisTime())
                .append("comment", getComment())
                .append("isDelete", getIsDelete())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
